# @rxap/open-api v19.2.0-dev.3

## Classes

- [OpenApiConfigService](../wiki/Class.OpenApiConfigService)
- [OpenApiHttpResponseError](../wiki/Class.OpenApiHttpResponseError)
- [RxapOpenApiError](../wiki/Class.RxapOpenApiError)
- [SchemaValidationMixin](../wiki/Class.SchemaValidationMixin)

## Interfaces

- [OpenApiInitOptions](../wiki/Interface.OpenApiInitOptions)
- [OpenApiMetaData](../wiki/Interface.OpenApiMetaData)
- [OperationObjectWithMetadata](../wiki/Interface.OperationObjectWithMetadata)
- [SchemaValidationResponse](../wiki/Interface.SchemaValidationResponse)

## Type Aliases

- [OperationMap](../wiki/TypeAlias.OperationMap)

## Variables

- [DEFAULT\_OPEN\_API\_DATA\_SOURCE\_META\_DATA](../wiki/Variable.DEFAULT_OPEN_API_DATA_SOURCE_META_DATA)
- [DEFAULT\_OPEN\_API\_REMOTE\_METHOD\_META\_DATA](../wiki/Variable.DEFAULT_OPEN_API_REMOTE_METHOD_META_DATA)
- [DISABLE\_SCHEMA\_VALIDATION](../wiki/Variable.DISABLE_SCHEMA_VALIDATION)
- [DISABLE\_VALIDATION](../wiki/Variable.DISABLE_VALIDATION)
- [RXAP\_OPEN\_API\_CONFIG](../wiki/Variable.RXAP_OPEN_API_CONFIG)
- [RXAP\_OPEN\_API\_STRICT\_VALIDATOR](../wiki/Variable.RXAP_OPEN_API_STRICT_VALIDATOR)

## Functions

- [AssertOpenApiV3](../wiki/Function.AssertOpenApiV3)
- [IsOpenApiV3](../wiki/Function.IsOpenApiV3)
- [IsReferenceObject](../wiki/Function.IsReferenceObject)
- [NotContainsReferenceObjects](../wiki/Function.NotContainsReferenceObjects)
- [OpenApiInit](../wiki/Function.OpenApiInit)
